import { store } from "@/store/store";
import { throttle } from "lodash-es";

export const notifyInvalidTokenThrottled = throttle(
  () => {
    $message.error("登录失效，请重新登录！");
    setTimeout(() => {
      store.user.token = null;
    }, 3000);
    logger({ pgu: "AUTO", dtl: "登录失效" });
  },
  1000,
  { trailing: false }
);
