declare module "axios-progress-bar";

type Sls_Options = {
  /** 所在区域的host */
  host: string;
  /** project名称 */
  project: string;
  /** logstore名称 */
  logstore: string;
  /** 定义时间，默认是10秒，number类型，选填 */
  time?: number;
  /** 定义数据条数，默认是10条，number类型，选填 */
  count?: number;
  /** 是否启用压缩，默认为true */
  compress?: true;
};
declare module "js-sls-logger" {
  export default class {
    constructor(opts: Sls_Options);

    send(log: Record<string, any>): void;
  }
}
